CREATE TABLE egp_categories_b_ (
    CATEGORY_ID                  NUMBER(18, 0) ,
    STRUCTURE_ID                 NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)  ,
    LAST_UPDATE_DATE             TIMESTAMP(6)  ,
    LAST_UPDATED_BY              VARCHAR2(256) ,
    CREATION_DATE                TIMESTAMP(6)  ,
    CREATED_BY                   VARCHAR2(256) ,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    DESCRIPTION                  VARCHAR2(960) ,
    DISABLE_DATE                 DATE          ,
    SEGMENT1                     VARCHAR2(160) ,
    SEGMENT_NUMBER1              NUMBER        ,
    SEGMENT_NUMBER2              NUMBER        ,
    SEGMENT_NUMBER3              NUMBER        ,
    SEGMENT_NUMBER4              NUMBER        ,
    SEGMENT_NUMBER5              NUMBER        ,
    SEGMENT_NUMBER6              NUMBER        ,
    SEGMENT_NUMBER7              NUMBER        ,
    SEGMENT_NUMBER8              NUMBER        ,
    SEGMENT_NUMBER9              NUMBER        ,
    SEGMENT_NUMBER10             NUMBER        ,
    SEGMENT_NUMBER11             NUMBER        ,
    SEGMENT_NUMBER12             NUMBER        ,
    SEGMENT_NUMBER13             NUMBER        ,
    SEGMENT_NUMBER14             NUMBER        ,
    SEGMENT_NUMBER15             NUMBER        ,
    SEGMENT_NUMBER16             NUMBER        ,
    SEGMENT_NUMBER17             NUMBER        ,
    SEGMENT_NUMBER18             NUMBER        ,
    SEGMENT_NUMBER19             NUMBER        ,
    SEGMENT_NUMBER20             NUMBER        ,
    SEGMENT2                     VARCHAR2(160) ,
    SEGMENT3                     VARCHAR2(160) ,
    SEGMENT4                     VARCHAR2(160) ,
    SEGMENT5                     VARCHAR2(160) ,
    SEGMENT6                     VARCHAR2(160) ,
    SEGMENT7                     VARCHAR2(160) ,
    SEGMENT8                     VARCHAR2(160) ,
    SEGMENT9                     VARCHAR2(160) ,
    SEGMENT10                    VARCHAR2(160) ,
    SEGMENT11                    VARCHAR2(160) ,
    SEGMENT12                    VARCHAR2(160) ,
    SEGMENT13                    VARCHAR2(160) ,
    SEGMENT14                    VARCHAR2(160) ,
    SEGMENT15                    VARCHAR2(160) ,
    SEGMENT16                    VARCHAR2(160) ,
    SEGMENT17                    VARCHAR2(160) ,
    SEGMENT18                    VARCHAR2(160) ,
    SEGMENT19                    VARCHAR2(160) ,
    SEGMENT20                    VARCHAR2(160) ,
    SUMMARY_FLAG                 VARCHAR2(4)   ,
    ENABLED_FLAG                 VARCHAR2(4)   ,
    START_DATE_ACTIVE            DATE          ,
    END_DATE_ACTIVE              DATE          ,
    ATTRIBUTE_CATEGORY           VARCHAR2(120) ,
    ATTRIBUTE1                   VARCHAR2(600) ,
    ATTRIBUTE2                   VARCHAR2(600) ,
    ATTRIBUTE3                   VARCHAR2(600) ,
    ATTRIBUTE4                   VARCHAR2(600) ,
    ATTRIBUTE5                   VARCHAR2(600) ,
    ATTRIBUTE6                   VARCHAR2(600) ,
    ATTRIBUTE7                   VARCHAR2(600) ,
    ATTRIBUTE8                   VARCHAR2(600) ,
    ATTRIBUTE9                   VARCHAR2(600) ,
    ATTRIBUTE10                  VARCHAR2(600) ,
    ATTRIBUTE11                  VARCHAR2(600) ,
    ATTRIBUTE12                  VARCHAR2(600) ,
    ATTRIBUTE13                  VARCHAR2(600) ,
    ATTRIBUTE14                  VARCHAR2(600) ,
    ATTRIBUTE15                  VARCHAR2(600) ,
    REQUEST_ID                   NUMBER(18, 0) ,
    PROGRAM_NAME                 VARCHAR2(120) ,
    PROGRAM_APP_NAME             VARCHAR2(200) ,
    WH_UPDATE_DATE               DATE          ,
    TOTAL_PROD_ID                NUMBER(18, 0) ,
    WEB_STATUS                   VARCHAR2(120) ,
    SUPPLIER_ENABLED_FLAG        VARCHAR2(4)   ,
    CATEGORY_CONTENT_CODE        VARCHAR2(120) ,
    CATEGORY_CODE                VARCHAR2(3280),
    JOB_DEFINITION_NAME          VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE       VARCHAR2(3600),
    STRUCTURE_INSTANCE_NUMBER    NUMBER(18, 0) ,
    ATTRIBUTE_NUMBER1            NUMBER        ,
    ATTRIBUTE_NUMBER2            NUMBER        ,
    ATTRIBUTE_NUMBER3            NUMBER        ,
    ATTRIBUTE_NUMBER4            NUMBER        ,
    ATTRIBUTE_NUMBER5            NUMBER        ,
    ATTRIBUTE_NUMBER6            NUMBER        ,
    ATTRIBUTE_NUMBER7            NUMBER        ,
    ATTRIBUTE_NUMBER8            NUMBER        ,
    ATTRIBUTE_NUMBER9            NUMBER        ,
    ATTRIBUTE_NUMBER10           NUMBER        ,
    ATTRIBUTE_DATE1              DATE          ,
    ATTRIBUTE_DATE2              DATE          ,
    ATTRIBUTE_DATE3              DATE          ,
    ATTRIBUTE_DATE4              DATE          ,
    ATTRIBUTE_DATE5              DATE          ,
    ATTRIBUTE_TIMESTAMP1         TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2         TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3         TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4         TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5         TIMESTAMP(6)  ,
    AUDIT_ACTION_TYPE_           VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_        VARCHAR2(4000),
    AUDIT_IMPERSONATOR_          VARCHAR2(256) ,
    CATEGORY_ID                  NUMBER(18, 0) ,
    STRUCTURE_ID                 NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)  ,
    LAST_UPDATE_DATE             TIMESTAMP(6)  ,
    LAST_UPDATED_BY              VARCHAR2(256) ,
    CREATION_DATE                TIMESTAMP(6)  ,
    CREATED_BY                   VARCHAR2(256) ,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    DESCRIPTION                  VARCHAR2(960) ,
    DISABLE_DATE                 DATE          ,
    SEGMENT1                     VARCHAR2(160) ,
    SEGMENT_NUMBER1              NUMBER        ,
    SEGMENT_NUMBER2              NUMBER        ,
    SEGMENT_NUMBER3              NUMBER        ,
    SEGMENT_NUMBER4              NUMBER        ,
    SEGMENT_NUMBER5              NUMBER        ,
    SEGMENT_NUMBER6              NUMBER        ,
    SEGMENT_NUMBER7              NUMBER        ,
    SEGMENT_NUMBER8              NUMBER        ,
    SEGMENT_NUMBER9              NUMBER        ,
    SEGMENT_NUMBER10             NUMBER        ,
    SEGMENT_NUMBER11             NUMBER        ,
    SEGMENT_NUMBER12             NUMBER        ,
    SEGMENT_NUMBER13             NUMBER        ,
    SEGMENT_NUMBER14             NUMBER        ,
    SEGMENT_NUMBER15             NUMBER        ,
    SEGMENT_NUMBER16             NUMBER        ,
    SEGMENT_NUMBER17             NUMBER        ,
    SEGMENT_NUMBER18             NUMBER        ,
    SEGMENT_NUMBER19             NUMBER        ,
    SEGMENT_NUMBER20             NUMBER        ,
    SEGMENT2                     VARCHAR2(160) ,
    SEGMENT3                     VARCHAR2(160) ,
    SEGMENT4                     VARCHAR2(160) ,
    SEGMENT5                     VARCHAR2(160) ,
    SEGMENT6                     VARCHAR2(160) ,
    SEGMENT7                     VARCHAR2(160) ,
    SEGMENT8                     VARCHAR2(160) ,
    SEGMENT9                     VARCHAR2(160) ,
    SEGMENT10                    VARCHAR2(160) ,
    SEGMENT11                    VARCHAR2(160) ,
    SEGMENT12                    VARCHAR2(160) ,
    SEGMENT13                    VARCHAR2(160) ,
    SEGMENT14                    VARCHAR2(160) ,
    SEGMENT15                    VARCHAR2(160) ,
    SEGMENT16                    VARCHAR2(160) ,
    SEGMENT17                    VARCHAR2(160) ,
    SEGMENT18                    VARCHAR2(160) ,
    SEGMENT19                    VARCHAR2(160) ,
    SEGMENT20                    VARCHAR2(160) ,
    SUMMARY_FLAG                 VARCHAR2(4)   ,
    ENABLED_FLAG                 VARCHAR2(4)   ,
    START_DATE_ACTIVE            DATE          ,
    END_DATE_ACTIVE              DATE          ,
    ATTRIBUTE_CATEGORY           VARCHAR2(120) ,
    ATTRIBUTE1                   VARCHAR2(600) ,
    ATTRIBUTE2                   VARCHAR2(600) ,
    ATTRIBUTE3                   VARCHAR2(600) ,
    ATTRIBUTE4                   VARCHAR2(600) ,
    ATTRIBUTE5                   VARCHAR2(600) ,
    ATTRIBUTE6                   VARCHAR2(600) ,
    ATTRIBUTE7                   VARCHAR2(600) ,
    ATTRIBUTE8                   VARCHAR2(600) ,
    ATTRIBUTE9                   VARCHAR2(600) ,
    ATTRIBUTE10                  VARCHAR2(600) ,
    ATTRIBUTE11                  VARCHAR2(600) ,
    ATTRIBUTE12                  VARCHAR2(600) ,
    ATTRIBUTE13                  VARCHAR2(600) ,
    ATTRIBUTE14                  VARCHAR2(600) ,
    ATTRIBUTE15                  VARCHAR2(600) ,
    REQUEST_ID                   NUMBER(18, 0) ,
    PROGRAM_NAME                 VARCHAR2(120) ,
    PROGRAM_APP_NAME             VARCHAR2(200) ,
    WH_UPDATE_DATE               DATE          ,
    TOTAL_PROD_ID                NUMBER(18, 0) ,
    WEB_STATUS                   VARCHAR2(120) ,
    SUPPLIER_ENABLED_FLAG        VARCHAR2(4)   ,
    CATEGORY_CONTENT_CODE        VARCHAR2(120) ,
    CATEGORY_CODE                VARCHAR2(3280),
    JOB_DEFINITION_NAME          VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE       VARCHAR2(3600),
    STRUCTURE_INSTANCE_NUMBER    NUMBER(18, 0) ,
    ATTRIBUTE_NUMBER1            NUMBER        ,
    ATTRIBUTE_NUMBER2            NUMBER        ,
    ATTRIBUTE_NUMBER3            NUMBER        ,
    ATTRIBUTE_NUMBER4            NUMBER        ,
    ATTRIBUTE_NUMBER5            NUMBER        ,
    ATTRIBUTE_NUMBER6            NUMBER        ,
    ATTRIBUTE_NUMBER7            NUMBER        ,
    ATTRIBUTE_NUMBER8            NUMBER        ,
    ATTRIBUTE_NUMBER9            NUMBER        ,
    ATTRIBUTE_NUMBER10           NUMBER        ,
    ATTRIBUTE_DATE1              DATE          ,
    ATTRIBUTE_DATE2              DATE          ,
    ATTRIBUTE_DATE3              DATE          ,
    ATTRIBUTE_DATE4              DATE          ,
    ATTRIBUTE_DATE5              DATE          ,
    ATTRIBUTE_TIMESTAMP1         TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2         TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3         TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4         TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5         TIMESTAMP(6)  ,
    AUDIT_ACTION_TYPE_           VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_        VARCHAR2(4000),
    AUDIT_IMPERSONATOR_          VARCHAR2(256) ,
    CONSTRAINT pk_egp_categories_b_ PRIMARY KEY (CATEGORY_ID, LAST_UPDATE_DATE, LAST_UPDATED_BY, CATEGORY_ID, LAST_UPDATE_DATE, LAST_UPDATED_BY)
);
